### Method

# GUPnP ServiceProxyAction add_argument

since: 1.6.6

#### Declaration [src]

    GUPnPServiceProxyAction*
    gupnp_service_proxy_action_add_argument (
      GUPnPServiceProxyAction* action,
      const char* name,
      const GValue* value
    )

#### Description [src]

Append `name` to the list of arguments used by `action`.

Available since: 1.6.6

#### Parameters

`name`

  Type: `const char*`

  The name of the argument.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `GValue`

  The value of the argument.

  The data is owned by the caller of the method.

#### Return value

Type: `GUPnPServiceProxyAction`

`action` for convenience.

The returned data is owned by the instance.